dane_query_tlsa(3)

NAME
dane_query_tlsa - API function

SYNOPSIS
#include <gnutls/dane.h>

int dane_query_tlsa(dane_state_t s, dane_query_t * r, const char * host, const char * proto, unsigned int port);

ARGUMENTS

dane_state_t s
    The DANE state structure

dane_query_t * r
    A structure to place the result

const char * host
    The host name to resolve.

const char * proto
    The protocol type (tcp, udp, etc.)

unsigned int port
    The service port number (eg. 443).

DESCRIPTION
This function will query the DNS server for the TLSA (DANE) data for the given host.

RETURNS
On success, DANE_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/